Subject: [aqm] I-D Action: draft-ietf-aqm-pie-07.txt

From: "Rong Pan (ropan)" <[email-masked]>
Date: Tue, 19 Apr 2016 18:43:59 +0000

A new draft has been posted to address this issue.

Thanks,

Rong

On 4/13/16, 5:17 AM, "aqm on behalf of Rasool Al-Saadi"
<[email-masked] on behalf of [email-masked]> wrote:

>
>On Tuesday, 5 April 2016, Rong Pan (ropan) wrote:
>> 
>> Rasool,
>> 
>> Thanks for your detailed review. Please see the comments below and a new
>> draft has been posted.
>> 
>> Regards,
>> 
>> Rong
>> 
>> >For new drop_prob calculation, how can drop_prob_ be just a division of
>> >queue lengths?
>> >	drop_prob_(i)=queue_.byte_length(i)/max(queue_.byte_length(i))
>> 
>> 
>> >>>>>>>>>>>>>>>>>>>>>>>>>RP: Let¹s say there are two flows that are
>> >>>>>>>>>>>>>>>>>>>>>>>>>queued into
>> two sfq queues. One flow is an elephant flow and one flow is mice flow.
>>Total
>> latency is caused by the elephant flow. The above equation makes sure
>>that
>> the mice flow (whose queue length is zero, or very small amount) won¹t
>>be
>> dropped.
>> Besides, since it is mice flow, it would be hard to measure its
>>departure rate
>> as the queue would never build up.qdelay
>> 
>
>Thank you for the explanation. I found section 4.6 SFQ-PIE in [*] is
>clearer than in the draft. I hope SFQ paragraph of PIE draft becomes a
>little clearer.
>[*] 
>http://www.cablelabs.com/wp-content/uploads/2014/06/DOCSIS-AQM_May2014.pdf
>
>> >
>> >5) In pages 23 and 24,
>> >
>> >>       //If the queue has been idle for a while, turn off PIE
>> >>       //reset counters when accessing the queue after some idle
>> >>       //period if PIE was active before
>> >>       if ( PIE->drop_prob_ == 0 && PIE->qdelay_old_ == 0
>> >>            && queue_.byte_length() == 0) {
>> >>            PIE->active_ = INACTIVE;
>> >
>> >According to section 5.3 (Turning PIE on and off), the condition of
>> >deactivating PIE should be:
>> >
>> >if (PIE->drop_prob_ == 0 and current_qdelay < QDELAY_REF/2 and
>> >      PIE->qdelay_old_ < QDELAY_REF/2) {
>> 
>> 
>> >>>>>>>>>>>>>>>>>>>>>>>>>>RP: Fixed.
>> 
>
>I am unsure whether section 5.3 is correct or the old code (in
>draft-ietf-aqm-pie-05.txt) with queue_.byte_length() == 0 was correct. In
>my PIE implementation, I found that without using queue_.byte_length() ==
>0,  PIE turns off after a very short period and causes queue delay to
>become uncontrolled until queue length exceeds 1/3 drop-tail size. I put
>queue_.byte_length() == 0 condition and I got better results.
>
>Regards,
>Rasool
>
>_______________________________________________
>aqm mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/aqm